Back to Redis

Refresh Jwt

content/operate/rs/references/rest-api/requests/users/refresh_jwt.md

latest1.6 KB
Original Source
MethodPathDescription
POST/v1/users/refresh_jwtGet a new authentication token

Get a new authentication token {#post-refresh_jwt}

POST /v1/users/refresh_jwt

Generate a new JSON Web Token (JWT) for authentication.

Takes a valid token and returns the new token generated by the request.

Request {#post-request}

Example HTTP request

POST /v1/users/refresh_jwt 

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
AuthorizationJWT eyJ5bGciOiKIUzI1NiIsInR5cCI6IkpXVCJ9.
</br>eyJpYXViOjE0NjU0NzU0ODYsInVpZFI1IjEiLCJ
</br>leHAiOjE0NjU0Nz30OTZ9.2xYXumd1rDoE0e
</br>dFzcLElMOHsshaqQk2HUNgdsUKxMUValid JSON Web Token (JWT)

Request body

FieldTypeDescription
ttlintegerTime to live - The amount of time in seconds the token will be valid (optional)

Response {#post-response}

Returns a JSON object that contains the generated access token.

Example JSON body

json
 {
     "access_token": "eyJ5bGciOiKIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXViOjE0NjU0NzU0ODYsInVpZFI1IjEiLCJleHAiOjE0NjU0Nz30OTZ9.2xYXumd1rDoE0edFzcLElMOHsshaqQk2HUNgdsUKxMU"
 }

Status codes {#post-status-codes}

CodeDescription
200 OKA new token is given.
401 UnauthorizedThe token is invalid or password has expired.